<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DP Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="contactus.css">
</head>
<style>
  :root {
    --direction: -45deg;
  }
  
  body {
    margin: 0;
    padding: 0;
  }
  
  main {
    position: relative;
  }
  
  .main-effect {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 550px;
    background-size: cover;
    background-repeat: none;
  }
  
  .background {
    background-image: url(images/home2.jpg);
  }
  
  .foreground {
    background-image: url(images/home3.jpg);
    -webkit-mask-image: linear-gradient(var(--direction), rgb(0, 0, 0) 40%, rgba(0, 0, 0, 0) 60%);
            mask-image: linear-gradient(var(--direction), rgb(0, 0, 0) 40%, rgba(0, 0, 0, 0) 60%);
    -webkit-mask-position: 50% 50%;
            mask-position: 50% 50%;
  }
  
  </style>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img src="images/logonhaxinh.jpg" id="logoimg"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-slideshow-example" href="#">HOME</a></li>
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">CHI TIẾT BĐS</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
            href="#">TIỆN ÍCH</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
            href="#">LIÊN HỆ</a></li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <p id="ten-dang-nhap" style="font-family: Arial, Helvetica, sans-serif"></p>
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- 2. Slide body -->
  <div class="container-fluid pt-5 mt-4" id="slideshow-example" style="height: 450px;">
    <div class="row">
      <main id="main" class="container-fluid">
        <div class="background main-effect"></div>
        <div class="foreground main-effect"></div>
      </main> 
    </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar mt-5 pt-5" id="property-content">
    <div class="container py-5 mt-5 pt-5">
      <div class="text-center mb-5">
        <h1 class="title-text-color text-center border-top" style="font-family: Courier New;"><b>Chi tiết căn hộ</b></h1>
        <div class="row form-group">
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Thuộc dự án</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-project" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Khách hàng</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-customer" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Mã căn hộ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-apartCode" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Địa chỉ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-address" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Tỉnh thành</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-province" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Quận huyện</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-district" type="text" class="form-control" disabled>
              </div>
            </div>
          </div>
          <div class="col-sm-6">
            <img id="detail-img-realEstate" width="100%">
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Diện tích BĐS</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-acreage" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Mô tả chi tiết</h5>
              </div>
              <div class="col-md-8 form-group">
                <textarea id="detail-inp-description" type="text" rows="4" class="form-control" disabled></textarea>
              </div>
            </div>
          </div>
          <div class="col-sm-6">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Số phòng ngủ</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-bedroom" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Số phòng tắm</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-bath" type="text" class="form-control" disabled>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <h5>Giá bán</h5>
              </div>
              <div class="col-md-8 form-group">
                <input id="detail-inp-price" type="text" class="form-control" disabled>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>


  
   <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h1 class="title-text-color text-center mb-5" style="font-family: Courier New;"><b>Nội thất chuẩn 5 sao châu âu</b></h1>
    <div class="row">
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators1" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators1" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="3"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="4"></li>
            <!-- <li data-target="#carouselExampleIndicators1" data-slide-to="5"></li> -->
            <li data-target="#carouselExampleIndicators1" data-slide-to="6"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/feat1.jpg" alt="First slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat2.jpg" alt="Second slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat3.jpg" alt="Third slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat4.jpg" alt="Forth slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat5.jpg" alt="Fifth slide" width="100%">
            </div>
            <!-- <div class="carousel-item">
              <img class="d-block w-100" src="images/feat6.jpg" alt="Sixth slide" width="100%">
            </div> -->
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat7.jpg" alt="Seventh slide" width="100%">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators1" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators1" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
      <div class="col-sm-4" style="background-color: rgb(206, 239, 244);">
        <h5 class="mt-4 text-left" style="color: rgb(218 180 39);">PHONG CÁCH TỐI GIẢN:</h5>
        <p class="mb-2">Là một trong số các phong cách được yêu thích nhất mọi thời đại, phong cách tối giản sẽ khiến không gian văn phòng trở nên thanh thoát và tinh gọn hơn bao giờ hết. Ngày nay phong cách tối giản đã được đa dạng hoá với các gam màu phù hợp với màu sắc thương hiệu.</p>
        <h5 class="mt-5 text-left" style="color: rgb(218 180 39);">PHONG CÁCH HIỆN ĐẠI:</h5>
        <p class="mb-2">Ra đời tại Châu Âu, phong cách hiện đại mang màu sắc mới, hơi thở của sự phóng khoáng, tiện nghi cùng nét sang trọng cấu thành. Đây là phong cách được ưa chuộng nhất thế giới bởi vẻ đẹp mỹ miều mà nó đem lại. Trong nội thất văn phòng, phong cách hiện đại mang hơi thở mới cho văn phòng trở nên thanh lịch và trang trọng cùng với sự tiện nghi của thời đại.</p>
      </div>
    </div>
  </div>

  <!-- 5. Contact us -->
  <div class="container paddding-navbar" id="contact-us">
    <h1 class="title-text-color text-center mt-5" style="font-family: Courier New;"><b>LIÊN HỆ VỚI CHÚNG TÔI</b></h1>
    <div class="row">
      <div class="col-sm-6">
        <div class="map" >
          <figure class="map">
            <iframe src="https://maps.googleapis.com/maps/embed?pb=!1m18!1m12!1m3!1d3919.2128415197762!2d106.71968101395133!3d10.795004161804393!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x317527c2f8f30911%3A0x36ac5073f8c91acd!2sLandmark%2081!5e0!3m2!1svi!2s!4v1663340781914!5m2!1svi!2s" width="100%" height="440" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
             </figure>
        </div>

      </div>
      <div class="col-sm-6">
        <div class="wrapper">
          <div class="title">
            <h2>Để lại thông tin để nhận được tư vấn ưu đãi</h2>
          </div>
          <div class="contact-form">
            <div class="input-fields">
              <input type="text" id="input-fullname" class="input" placeholder="Họ & Tên">
              <input type="text" id="input-email" class="input" placeholder="Email">
              <input type="text" id="input-phone"class="input" placeholder="Số điện thoại">
            </div>
            <div class="msg">
              <textarea  id="inp-contract-message" placeholder="Lời nhắn"></textarea>
              <div class="btn-send"><a id="btn-send-contact">Gửi thông tin</a></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-5 " id="footer-content">
    <div class="container text-dark" >
      <div class="row align-items-center">
        <div class="col-sm-4"><b>Copyright &copy; Website 2022</b></div>
        <div class="col-sm-4 my-3">
          <div class="row">
            <h5 class="mt-2 ml-3">Follow us:</h5>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-twitter"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-facebook-f"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="text-danger fa-brands fa-youtube"></i></a>
          </div>
        </div>
        <div class="col-sm-4 mt-2  contact-text bg-dark bg-text-footer">
          <div class="text-white" style="font-weight: bold;">
            <h4>Thông tin liên hệ</h4>
            <p>Địa chỉ : 208 Đ. Nguyễn Hữu Cảnh, Phường 22, Bình Thạnh, Thành phố Hồ Chí Minh<br>
              Hotline : 18001234<br>
              Mail : thanhlnd@gmail.com
            </p>
          
          </div>
        </div>
      </div>
    </div>
  </footer>



</body>

<script>
  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {
    //hiệu ứng main effect
    let c = 45;

    function draw() {
      document.documentElement.style.setProperty("--direction", c++ + "deg");
      requestAnimationFrame(draw);
    }

    requestAnimationFrame(draw);

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const token = getCookie("token");

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-dp-upside").click(function () {
      $('html, body').animate({
        scrollTop: $("#dp-upside").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetUserIdByToken();
      //tạo đối tượng url để truy vấn tham số 
      var vUrlObject = new URL(window.location.href);
      // đưa tham số customerId sang bằng query string
      var vRealEstateId = vUrlObject.searchParams.get("realEstateId");
      if (vRealEstateId != null) {
        callApiGetRealEstateById(vRealEstateId);
      } else {
        alert("Không có dữ liệu RealEstateId.");
        window.location.href = "index.html";
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    // Hàm gọi api lấy dữ liệu BĐS bằng Id
    function callApiGetRealEstateById(paramRealEstateId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm load dữ liệu vào form
    function loadDataToForm(paramRealEstate) {
      "use strict";
      $("#detail-inp-project").val(paramRealEstate.project.name);
      $("#detail-inp-customer").val(paramRealEstate.customer.contactName);
      $("#detail-inp-apartCode").val(paramRealEstate.apartCode);
      $("#detail-inp-address").val(paramRealEstate.address);
      $("#detail-inp-province").val(paramRealEstate.project._district.name);
      $("#detail-inp-district").val(paramRealEstate.project._district._province.name);

      $("#detail-inp-acreage").val(paramRealEstate.acreage);
      $("#detail-inp-bedroom").val(paramRealEstate.bedroom);
      $("#detail-inp-bath").val(paramRealEstate.bath);
      $("#detail-inp-price").val(paramRealEstate.price);
      $("#detail-inp-description").val(paramRealEstate.description);
      $("#detail-img-realEstate").attr("src", paramRealEstate.photo);

    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "../AdminFrontEnd/index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          gUserId = responseObject;
          callApiGetEmployeeByID(responseObject);
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

     // Hàm gọi api lấy dữ liệu employee bằng id
  function callApiGetEmployeeByID(paramEmployeeId) {
    $.ajax({
        url: "http://localhost:8080/employees/" + paramEmployeeId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
            //console.log(paramResponseObj);
            handlerUserDataResponse(paramResponseObj);
        },
        error: function (paramError) {
            console.log(paramError);
        }
    });
  }

  function handlerUserDataResponse(paramUserData) {
    $("#ten-dang-nhap").html(paramUserData.username);
  }

  });

</script>

</html>